Skip to main content
GET
Get toolkit by slug

Authorizations

x-api-key
string
header
default:your-project-api-key
required

Your Composio project API key. Create or copy it from the Composio dashboard.

Path Parameters

slug
string
required

Toolkit slug identifier The unique slug identifier of the toolkit to retrieve

Example:

"github"

Query Parameters

version
string
default:latest

Version of the toolkit

Example:

"20250905_00"

Response

Successfully retrieved detailed information about the requested toolkit, including authentication options, metadata, and feature counts.

Detailed information about a single toolkit

slug
string
required

URL-friendly unique identifier for the toolkit

Example:

"github"

name
string
required

Human-readable name of the toolkit

Example:

"GitHub"

type
enum<string>
required

Toolkit provenance: "native" for Composio-managed toolkits, "custom" for a project-registered custom (MCP) toolkit

Available options:
native,
custom
Example:

"native"

enabled
boolean
required

Indicates if this toolkit is currently enabled and available for use

Example:

true

composio_managed_auth
object[]
required

Managed-auth-only metadata, including the supported OAuth scope ceiling.

is_local_toolkit
boolean
required
deprecated

DEPRECATED: This field is no longer meaningful and will always return false. It was previously used to indicate if a toolkit is specific to the current project.

Example:

false

meta
object
required

Comprehensive metadata for the toolkit including dates, descriptions, and statistics

deprecated
object
required
access
enum<string>

[EXPERIMENTAL] Custom toolkits only. "all": every user in the project can use it. "user": only the user it was created for can.

Available options:
all,
user
Example:

"all"

composio_managed_auth_schemes
string[]

List of authentication methods that Composio manages for this toolkit

Example:
auth_config_details
object[]

Complete authentication configuration details for each supported auth method

auth_guide_url
string | null

URL to a guide page with authentication setup instructions for this toolkit

Example:

"https://composio.dev/auth/github"

base_url
string

If evaluation of base URL needs some connection info (like shopify), please create the connection and get the base URL from there

Example:

"https://api.github.com"

get_current_user_endpoint
string

Endpoint to get the current user

get_current_user_endpoint_method
string

HTTP method to use when calling the get current user endpoint (e.g., GET, POST)

Example:

"GET"